ConfigurableLauncher (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.tooling

## [Java] Interface ConfigurableLauncher<T>

- org.gradle.tooling.LongRunningOperation

- All Superinterfaces:
    LongRunningOperation

  A `ConfigurableLauncher` allows you to configure a long running operation.

  Parameters:
    `` - the ConfigurableLauncher implementation to return as part of the fluent API.
  Since:
    2.6

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `T` | `addProgressListener(ProgressListener listener)` {@inheritDoc}
    `T` | `addProgressListener(ProgressListener listener)` {@inheritDoc}
    `T` | `addProgressListener(ProgressListener listener, Set<OperationType> eventTypes)` {@inheritDoc}
    `T` | `addProgressListener(ProgressListener listener, OperationType... operationTypes)` {@inheritDoc}
    `T` | `setColorOutput(boolean colorOutput)` {@inheritDoc}
    `T` | `setJavaHome(File javaHome)` {@inheritDoc}
    `T` | `setJvmArguments(String... jvmArguments)` {@inheritDoc}
    `T` | `setJvmArguments(Iterable<String> jvmArguments)` {@inheritDoc}
    `T` | `setStandardError(OutputStream outputStream)` {@inheritDoc}
    `T` | `setStandardInput(InputStream inputStream)` {@inheritDoc}
    `T` | `setStandardOutput(OutputStream outputStream)` {@inheritDoc}
    `T` | `withArguments(String... arguments)` {@inheritDoc}
    `T` | `withArguments(Iterable<String> arguments)` {@inheritDoc}
    `T` | `withCancellationToken(CancellationToken cancellationToken)` {@inheritDoc}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface LongRunningOperation` | `addProgressListener, addProgressListener, addProgressListener, addProgressListener, setColorOutput, setJavaHome, setJvmArguments, setJvmArguments, setStandardError, setStandardInput, setStandardOutput, withArguments, withArguments, withCancellationToken`

- - ### Method Detail

    - #### @Override public T addProgressListener(ProgressListener listener)

      {@inheritDoc}

      Since:
        1.0-milestone-3

    - #### @Incubating @Override public T addProgressListener(ProgressListener listener)

      {@inheritDoc}

      Since:
        2.5

    - #### @Incubating @Override public T addProgressListener(ProgressListener listener, Set<OperationType> eventTypes)

      {@inheritDoc}

      Since:
        2.5

    - #### @Incubating @Override public T addProgressListener(ProgressListener listener, OperationType... operationTypes)

      {@inheritDoc}

      Since:
        2.6

    - #### @Incubating @Override public T setColorOutput(boolean colorOutput)

      {@inheritDoc}

      Since:
        2.3

    - #### @Override public T setJavaHome(File javaHome)

      {@inheritDoc}

      Since:
        1.0-milestone-8

    - #### @Override public T setJvmArguments(String... jvmArguments)

      {@inheritDoc}

      Since:
        1.0-milestone-9

    - #### @Override public T setJvmArguments(Iterable<String> jvmArguments)

      {@inheritDoc}

      Since:
        2.6

    - #### @Override public T setStandardError(OutputStream outputStream)

      {@inheritDoc}

      Since:
        1.0-milestone-3

    - #### @Override public T setStandardInput(InputStream inputStream)

      {@inheritDoc}

      Since:
        1.0-milestone-7

    - #### @Override public T setStandardOutput(OutputStream outputStream)

      {@inheritDoc}

      Since:
        1.0-milestone-3

    - #### @Override public T withArguments(String... arguments)

      {@inheritDoc}

      Since:
        1.0

    - #### @Override public T withArguments(Iterable<String> arguments)

      {@inheritDoc}

      Since:
        2.6

    - #### @Incubating @Override public T withCancellationToken(CancellationToken cancellationToken)

      {@inheritDoc}

      Since:
        2.3